# 
# Synthesis run script generated by Vivado
# 

set_param xicom.use_bs_reader 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir {C:/Users/yen ping/Desktop/sophomore/lab3_2/lab3_2.cache/wt} [current_project]
set_property parent.project_path {C:/Users/yen ping/Desktop/sophomore/lab3_2/lab3_2.xpr} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
read_verilog -library xil_defaultlib {
  {C:/Users/yen ping/Desktop/sophomore/lab3_2/clock_divider.v}
  {C:/Users/yen ping/Desktop/sophomore/lab3_2/lab3_2.srcs/sources_1/new/lab3_2.v}
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc {{C:/Users/yen ping/Desktop/sophomore/lab3_2/lab3_2_cons.xdc}}
set_property used_in_implementation false [get_files {{C:/Users/yen ping/Desktop/sophomore/lab3_2/lab3_2_cons.xdc}}]


synth_design -top lab3_2 -part xc7a35tcpg236-1


write_checkpoint -force -noxdef lab3_2.dcp

catch { report_utilization -file lab3_2_utilization_synth.rpt -pb lab3_2_utilization_synth.pb }
